MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

Files | Data Structures | Variables
CLA

## Files
file | cla.h
| Contains public interface to various functions related to the CLA object.

## Data Structures
struct | MCTL_BITS
union | MCTL_REG
struct | MMEMCFG_BITS
union | MMEMCFG_REG
struct | MPISRCSEL1_BITS
union | MPISRCSEL1_REG
struct | MIFR_BITS
union | MIFR_REG
union | MIOVF_REG
union | MIFRC_REG
union | MICLR_REG
union | MICLROVF_REG
union | MIER_REG
union | MIRUN_REG
struct | MSTF_BITS
union | MSTF_REG
union | MR_REG
struct | CLA_REGS

## Variables
volatile struct CLA_REGS | Cla1Regs

## Detailed Description

## Data Structure Documentation

struct MCTL_BITS

Definition at line 59 of file cla.h.

Data Fields
uint16_t | HARDRESET:1 |
uint16_t | IACKE:1 |
uint16_t | rsvd1:13 |
uint16_t | SOFTRESET:1 |

union MCTL_REG

Definition at line 66 of file cla.h.

Data Fields
uint16_t | all |
struct MCTL_BITS | bit |

struct MMEMCFG_BITS

Definition at line 73 of file cla.h.

Data Fields
uint16_t | PROGE:1 |
uint16_t | RAM0E:1 |
uint16_t | RAM1E:1 |
uint16_t | rsvd1:3 |
uint16_t | rsvd2:10 |

union MMEMCFG_REG

Definition at line 81 of file cla.h.

Data Fields
uint16_t | all |
struct MMEMCFG_BITS | bit |

struct MPISRCSEL1_BITS

Definition at line 88 of file cla.h.

Data Fields
uint16_t | PERINT1SEL:4 |
uint16_t | PERINT2SEL:4 |
uint16_t | PERINT3SEL:4 |
uint16_t | PERINT4SEL:4 |
uint16_t | PERINT5SEL:4 |
uint16_t | PERINT6SEL:4 |
uint16_t | PERINT7SEL:4 |
uint16_t | PERINT8SEL:4 |

union MPISRCSEL1_REG

Definition at line 99 of file cla.h.

Data Fields
uint32_t | all |
struct MPISRCSEL1_BITS | bit |

struct MIFR_BITS

Definition at line 106 of file cla.h.

Data Fields
uint16_t | INT1:1 |
uint16_t | INT2:1 |
uint16_t | INT3:1 |
uint16_t | INT4:1 |
uint16_t | INT5:1 |
uint16_t | INT6:1 |
uint16_t | INT7:1 |
uint16_t | INT8:1 |
uint16_t | rsvd:8 |

union MIFR_REG

Definition at line 118 of file cla.h.

Data Fields
uint16_t | all |
struct MIFR_BITS | bit |

union MIOVF_REG

Definition at line 123 of file cla.h.

Data Fields
uint16_t | all |
struct MIFR_BITS | bit |

union MIFRC_REG

Definition at line 128 of file cla.h.

Data Fields
uint16_t | all |
struct MIFR_BITS | bit |

union MICLR_REG

Definition at line 133 of file cla.h.

Data Fields
uint16_t | all |
struct MIFR_BITS | bit |

union MICLROVF_REG

Definition at line 138 of file cla.h.

Data Fields
uint16_t | all |
struct MIFR_BITS | bit |

union MIER_REG

Definition at line 143 of file cla.h.

Data Fields
uint16_t | all |
struct MIFR_BITS | bit |

union MIRUN_REG

Definition at line 148 of file cla.h.

Data Fields
uint16_t | all |
struct MIFR_BITS | bit |

struct MSTF_BITS

Definition at line 155 of file cla.h.

Data Fields
uint16_t | LUF:1 |
uint16_t | LVF:1 |
uint16_t | MEALLOW:1 |
uint16_t | NF:1 |
uint16_t | RNDF32:1 |
uint16_t | RPCH:8 |
uint16_t | RPCL:4 |
uint16_t | rsvd1:2 |
uint16_t | rsvd2:2 |
uint16_t | rsvd3:1 |
uint16_t | rsvd4:8 |
uint16_t | TF:1 |
uint16_t | ZF:1 |

union MSTF_REG

Definition at line 171 of file cla.h.

Data Fields
uint32_t | all |
struct MSTF_BITS | bit |

union MR_REG

Definition at line 176 of file cla.h.

Data Fields
float | f32 |
uint32_t | i32 |

struct CLA_REGS

Definition at line 183 of file cla.h.

Data Fields
uint16_t | _MAR0 |
uint16_t | _MAR1 |
uint16_t | _MPC |
union MR_REG | _MR0 |
union MR_REG | _MR1 |
union MR_REG | _MR2 |
union MR_REG | _MR3 |
union MSTF_REG | _MSTF |
union MCTL_REG | MCTL |
union MICLR_REG | MICLR |
union MICLROVF_REG | MICLROVF |
union MIER_REG | MIER |
union MIFR_REG | MIFR |
union MIFRC_REG | MIFRC |
union MIOVF_REG | MIOVF |
union MIRUN_REG | MIRUN |
union MMEMCFG_REG | MMEMCFG |
union MPISRCSEL1_REG | MPISRCSEL1 |
uint16_t | MVECT1 |
uint16_t | MVECT2 |
uint16_t | MVECT3 |
uint16_t | MVECT4 |
uint16_t | MVECT5 |
uint16_t | MVECT6 |
uint16_t | MVECT7 |
uint16_t | MVECT8 |
uint16_t | rsvd1[8] |
uint16_t | rsvd10 |
uint16_t | rsvd2[2] |
uint16_t | rsvd3[10] |
uint16_t | rsvd4 |
uint16_t | rsvd5[2] |
uint32_t | rsvd6 |
uint32_t | rsvd7 |
uint32_t | rsvd8 |
uint32_t | rsvd9 |

## Variable Documentation

volatile struct CLA_REGS Cla1Regs